Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Firmware Update Required on 1.1.9

Discussion in 'Firmware' started by GoTigersGo, Jul 5, 2015.

  1. GoTigersGo

    Joined:
    Jul 5, 2015
    Messages:
    5
    Likes Received:
    0
    I just took my Phantom 3 out of the box. I watched the videos and am ready to use it. Unfortunately, I am getting the "gimbal motor overload" message as well as "firmware update required." I have removed the plastic clip and the foam from the camera. I also calibrated the gimbal, but it still doesn't sit straight. It came running version 1.1.9, but I do not want to update due to the many issues with the new update. Any options here? Thanks.
     
  2. jcknows0

    Joined:
    Dec 21, 2014
    Messages:
    394
    Likes Received:
    81
    Location:
    Northern NJ
    I had the same issues you described. I updated and the only issue I've had is uneven horizon especially after excessive yaw motion (which is how I fly sometimes so it's quite a bit) I haven't seen some of the other issues people described but I would make sure you calibrate the compass on your tablet as well
     
  3. GoTigersGo

    Joined:
    Jul 5, 2015
    Messages:
    5
    Likes Received:
    0
    Well I updated and I still have the gimbal motor overloaded notification. Also, the camera won't sit straight.
     
  4. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    After you updated, did you do an IMU calibration, and a gimbal calibration?
     
  5. GoTigersGo

    Joined:
    Jul 5, 2015
    Messages:
    5
    Likes Received:
    0
    I did. No change. I believe the gimbal was damaged in transit because the plastic piece that was supposed to be stabilizing it was roaming free in the box when I unpacked it. I am sending it back to Amazon for a replacement.
     
  6. bobmyers

    Joined:
    May 10, 2015
    Messages:
    3,611
    Likes Received:
    866
    Location:
    San Antonio, TX
    Good move, mine was also loose, but fortunately it did not suffer and damage.
     
  7. tasso

    Joined:
    Jun 4, 2015
    Messages:
    43
    Likes Received:
    6
    Wooow you updated from 1.19 with more problems. When you searched good you find that the gimball problem overload is caused by the app and not the bird. So you make it yourself a liitle harder with the new firmware. Also had the overload problem and get back to app version 1.10 and gone are the problems also the problems with the suddenly restarting the dji app. So find a old app version 1.10.
     
  8. Steve101

    Joined:
    May 15, 2015
    Messages:
    45
    Likes Received:
    1
    I think the gimbal issue is more related to 1.20 of the app... not the drone firmware.